# GET /websites/:website_id/analytics

**Resource:** [Websites](./websites.md)  
**MCP tool:** `get_website_traffic_reporting`  
**Scopes:** `websites:read`  
**Write operation:** no

Check whether traffic reporting is on for a website, whether its tracking snippet is installed on the live site, and get the snippet to install. Call this first if get_website_traffic or get_website_broken_urls returns no data.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `website_id` | path | string | yes |  |

## Request example

```bash
curl   "https://api.trustpager.com/functions/v1/api/v1/websites/:website_id/analytics"   -H "Authorization: Bearer YOUR_API_KEY"
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`